PureVars = {}

PureVars.Defaults = {
	["hideGold"] = false,
	["hideClock"] = false,
	["gold"] = {
		["offsetx"] = 0,
		["offsety"] = 0,
		},
	["clock"] = {
		["offsetx"] = 0,
		["offsety"] = 0,
		}
}

function OnAddOnLoaded(eventCode, addOnName)
    if (addOnName == "Pure_Additions") then
    	PureVars.SV = ZO_SavedVars:New( "Pure_Variables" , 6 , nil , PureVars.Defaults , nil )
    	if (not(PureVars.SV == nil)) then
    		pureSavedVars()
    	end
    	LAM = LibStub:GetLibrary("LibAddonMenu-1.0")
    	PurePanel = LAM:CreateControlPanel("Pure_OptionsPanel", "Pure_Additions")
			LAM:AddHeader(PurePanel, "Pure_OptionsHeader", "Options")
			LAM:AddCheckbox(PurePanel, "Pure_Option_Gold", "Hide Gold", "Toggles the gold indicator on the HUD", goldActive, goldToggle)
			LAM:AddCheckbox(PurePanel, "Pure_Option_Clock", "Hide Clock", "Toggles the clock on the HUD", clockActive, clockToggle)
	end
	PureGold:SetHandler("OnUpdate", goldUpdate)
			
	PureTime:SetHandler("OnUpdate", clockUpdate)
	
end

function goldToggle(checkbox)
	PureGold:SetHidden(checkbox)
	PureVars.SV.hideGold = checkbox
end

function goldActive()
	return PureVars.SV.hideGold 
end

function clockActive()
	return PureVars.SV.hideClock
end

function clockToggle(checkbox)
	PureTime:SetHidden(checkbox)
	PureVars.SV.hideClock = checkbox
end

function pureSavedVars()
	clockToggle(PureVars.SV.hideClock)
	goldToggle(PureVars.SV.hideGold)
end

function chatPrint(...)
	CHAT_SYSTEM:AddMessage(...)
end

function clockUpdate()
		local secondsFromMidnight = GetSecondsSinceMidnight()
		local minutes = (math.floor(secondsFromMidnight/60))
		local hours = (math.floor(minutes/60))
		local tod = "am"
		minutes = (minutes - hours*60)
		if (minutes == 60) then
			minutes = 0
		end
		if (hours > 12) then
			hours = hours - 12
			tod = "pm"
		end
		if (hours == 0) then
			hours = 12
	    end
		PureTime:SetText(string.format("%d:%02d %s", hours, minutes, tod) )
	
end

function FastTravel(playerName)
	if GetNumGuilds() ~= 0 then
		JumpToGuildMember(playerName)
		chatPrint(string.format("Travelling to %s", playerName))
	else
		chatPrint("You are not in a guild")
	end
end

--Function not useful until the SendChatMessage() function is released to add-on devs
--Currently purely test code
function chatSpam(text)
	local guilds = GetNumGuilds()
	if (guilds == 0) then
		chatPrint("You aren't in any guilds!")
		return
	end
	for i = 1, guilds do
		chatPrint(string.format("/guild%d %s", i, text))
	end
end

function getGold()
	chatPrint(string.format("Current gold is: %d", GetCurrentMoney()))
end

function goldUpdate()
		local currGold = GetCurrentMoney()
		PureGold:SetText(string.format("GOLD: %d", currGold) )
end


		

SLASH_COMMANDS["/ft"] = FastTravel
SLASH_COMMANDS["/guild*"] = chatSpam
SLASH_COMMANDS["/gold"] = getGold

EVENT_MANAGER:RegisterForEvent("Pure_Additions", EVENT_ADD_ON_LOADED, OnAddOnLoaded)
